//
//  GFaLocationManagerSettingViewController.h
//
//  Copyright (c) 2013 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <UIKit/UIKit.h>

/**
 位置測位・ライブラリ設定画面ViewControllerクラス
 */
@interface GFaLocationManagerSettingViewController : UITableViewController

/* APIキー */
@property (weak, nonatomic) IBOutlet UITextField *apikeyTextField;
/* クライアントID */
@property (weak, nonatomic) IBOutlet UITextField *clientIDTextField;
/* 秘密鍵 */
@property (weak, nonatomic) IBOutlet UITextField *secretTextField;
/* 認証サーバ環境 */
@property (weak, nonatomic) IBOutlet UIButton *authEnvPullDown;

/* 測位精度(m) */
@property (weak, nonatomic) IBOutlet UITextField *accuracyTextField;
/* 距離(m) */
@property (weak, nonatomic) IBOutlet UITextField *distanceTextField;
/* バッテリー閾値 */
@property (weak, nonatomic) IBOutlet UITextField *batteryLevIntervalTextField;
/* 測位切替精度 */
@property (weak, nonatomic) IBOutlet UITextField *significantChangeAccuracyTextField;
/* 省電力モード */
@property (weak, nonatomic) IBOutlet UISwitch *lowEnergyModeSwitch;
/* 監視領域半径(小)(m) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringAreaSmallRadiusTextField;
/* 監視領域半径(中)(m) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringAreaMiddleRadiusTextField;
/* 監視領域半径(大)(m) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringAreaLargeRadiusTextField;
/* 監視領域半径(特大)(m) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringAreaOversizeRadiusTextField;
/* 監視移動速度(低)(km/h) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringSlowSpeedTextField;
/* 監視移動速度(中)(km/h) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringMiddleSpeedTextField;
/* 監視移動速度(高)(km/h) */
@property (weak, nonatomic) IBOutlet UITextField *monitoringHighSpeedTextField;

/* 初期化ボタン押下 */
- (IBAction)pushDefaultButton:(id)sender;

@end
