//
//  GFaSettingModel.h
//
//  Copyright (c) 2022 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <Foundation/Foundation.h>

/**
 SettingModelの基底クラス
 */
@interface GFaSettingModel : NSObject

/* 設定値リスト */
@property (nonatomic, strong) NSMutableDictionary *settingInfo;

/* 初期処理（UserDefaultキー指定） */
- (id)initModel:(NSString *)userDefaultsKey;

/* 設定値変更 */
- (void)setObject:(id)object forKey:(NSString *)key;
/* 設定値取得 */
- (id)objectForKey:(NSString *)key;

/* リセット */
- (void)resetSetting;

/* UserDefaultsに登録されている設定値から復元 */
- (BOOL)restoreFromUserDefaults;
/* UserDefaultsに設定値を登録 */
- (BOOL)saveToUserDefaults;

/* ソース内で定義されている設定値（初期値）を取得 */
- (NSDictionary *)defaultInfo;

@end
