//
//  GFaUtility.h
//
//  Copyright (c) 2014 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <Foundation/Foundation.h>

/**
 ユーティリティクラス
 */
@interface GFaUtility : NSObject

/* 日付フォーマット変更 */
+ (NSDate *)dateFromFormatFromServer:(NSString *)dateFormatStr;

/* 確認ダイアログを表示 */
+ (void)showInformationAlert:(UIViewController *)viewController title:(NSString *)title message:(NSString *)message;

/* 確認ダイアログを表示 */
+ (void)showConfirmAlert:(UIViewController *)viewController title:(NSString *)title message:(NSString *)message leftButtonTitle:(NSString *)leftTitle  rightButtonTitle:(NSString *)rightTitle leftHandler:(void(^)(void))leftBlock rightHandler:(void(^)(void))rightBlock;

/* 入力ダイアログを表示 */
+ (void)showInputAlert:(UIViewController *)viewController title:(NSString *)title message:(NSString *)message text:(NSString *)inputText cancelButtonTitle:(NSString *)cancelTitle otherButtonTitle:(NSString *)otherTitle keyboardType:(UIKeyboardType)keyboardType otherHandler:(void(^)(NSString *))otherBlock;

/* インジケータダイアログを表示 */
+ (void)showIndicatorAlert:(UIViewController *)viewController text:(NSString *)text;

/* dictionaryをJSON文字列に変換 */
+ (NSString *) dictionaryToJson:(NSDictionary *)dictionary;

@end
